Complete Payment with Palmpay
POST
/
api
/
v1
/
palmpay-payment?transactionReference=
{transactionRef}
cURL
curl --request POST \
--url 'https://api.novacpayment.com/api/v1/palmpay-payment?transactionReference={transactionRef}' \
--header 'Authorization: <api-key>'import requests
url = "https://api.novacpayment.com/api/v1/palmpay-payment?transactionReference={transactionRef}"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://api.novacpayment.com/api/v1/palmpay-payment?transactionReference={transactionRef}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Palmpay transaction initiated.",
"data": {
"checkoutUrl": "https://checkout.palmpay.com/h5-checkout/?countryCode=NG&tntCode=PALMPAY&payToken=CA3FE89AA866FF827B66FBCABC3E05E1&orderNo=24260610084630346817&signKey=HAcl9Y-MSLtefSXGqOahZsTK1B5kfVeP7BnkneewFeg&signSession=24260610084630346817&appId=L250813121766924290401&productType=pay_wallet&businessProductType=pay_wallet&businessMode=three_mode&identityType=NEW&callable=%7B%22android%22%3A%22true%22%2C%22ios%22%3A%22true%22%7D",
"currency": "NGN",
"message": "",
"orderAmount": 30000,
"orderNo": "24260610084630346817",
"orderStatus": 0,
"payToken": "CA3FE89AA866FF827B66FBCABC3E05E1",
"sdkSessionId": "24260610084630346817",
"sdkSignKey": "HAcl9Y-MSLtefSXGqOahZsTK1B5kfVeP7BnkneewFeg"
}
}{
"status": false,
"message": "Empty request not allowed.",
"data": {
"responseCode": "400",
"responseDescription": "Invalid request."
}
}Authorizations
Input your API key (e.g. your public key) as a Bearer token to access this API.
Path Parameters
The transaction reference for the payment, must be the same as the one used to initiate the payment
Response
OK
Indicates whether the Palmpay transaction was initiated successfully.
Provides additional information about the Palmpay transaction initiation status.
Contains the Palmpay checkout session details returned after a successful transaction initiation.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
cURL
